Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1012741 - No Network Icon in top bar [NEEDINFO]
Summary: No Network Icon in top bar
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-27 04:46 UTC by sangu
Modified: 2015-01-13 15:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 15:31:36 UTC
udayreddy: needinfo? (otaylor)
udayreddy: needinfo? (otaylor)


Attachments (Terms of Use)
system status menu (deleted)
2013-09-27 04:46 UTC, sangu
no flags Details

Description sangu 2013-09-27 04:46:58 UTC
Created attachment 803710 [details]
system status menu

Description of problem:
Wired or wireless connecting info icon is missing.
 
Version-Release number of selected component (if applicable):
3.10.0.1-1.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:
NetworkManager-0.9.9.0-12.git20130913.fc20.x86_64

Comment 1 Florian Müllner 2013-09-27 14:23:15 UTC
(In reply to sangu from comment #0)
> Description of problem:
> Wired or wireless connecting info icon is missing.

For wired connections, there isn't supposed to be a network icon in the top bar. For the missing wireless icon, can you provide the output of "journalctl --user -b"?

Comment 2 Nineth 2014-06-22 08:25:03 UTC
If there isn't supposed to be an icon for wired connections, how does one distinguish between,

connected via wired ethernet
ethernet unplugged
ethernet plugged but intentionally disabled (connected via a USB network interface)

Comment 3 Nineth 2014-08-06 10:59:39 UTC
Any comments on this? Again, if there isn't supposed to be an icon for wired connections, how does one distinguish between any of these?

connected via wired ethernet
ethernet unplugged
ethernet plugged but intentionally disabled (connected via a USB network interface)
ethernet plugged but no connection (no IP assigned/obtained)

Comment 4 Nineth 2014-08-15 06:13:15 UTC
Another problem https://bugzilla.redhat.com/show_bug.cgi?id=1057917 compounds difficulties created by this one.

Comment 5 Christopher Beland 2014-12-29 22:28:54 UTC
I see this as fixed in Fedora 21.  Do we want to close this ticket as NEXTRELEASE, or is there some intention of doing a backport?

Comment 6 Florian Müllner 2015-01-13 15:31:36 UTC
Yes, the design decision to not show an icon for (connected) wired connections was reverted in GNOME 3.12, so closing as NEXTRELEASE sounds right to me.


Note You need to log in before you can comment on or make changes to this bug.